Bug 633358 - [abrt] emacs-1:23.2-7.fc14: kill: Process /usr/bin/emacs-23.2 was killed by signal 6 (SIGABRT)
Summary: [abrt] emacs-1:23.2-7.fc14: kill: Process /usr/bin/emacs-23.2 was killed by s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2c75add215f60c639f5511a9a67...
: 608325 611590 612104 612417 615053 616077 618808 620964 620965 629579 635277 640864 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-13 16:25 UTC by Christopher Beland
Modified: 2013-03-03 23:01 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:49:03 UTC


Attachments (Terms of Use)
File: backtrace (25.41 KB, text/plain)
2010-09-13 16:25 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2010-09-13 16:25:22 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: emacs .cshrc
component: emacs
crash_function: kill
executable: /usr/bin/emacs-23.2
kernel: 2.6.35.4-12.fc14.x86_64
package: emacs-1:23.2-7.fc14
rating: 4
reason: Process /usr/bin/emacs-23.2 was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
How to reproduce: Attempted to start Emacs inside a gnome-terminal in which I had su'd to root.
time: 1284385607
uid: 0

Comment 1 Christopher Beland 2010-09-13 16:25:25 UTC
Created an attachment (id=446985)
File: backtrace

Comment 2 Christopher Beland 2010-10-17 00:07:55 UTC
Package: emacs-1:23.2-7.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Had to send a kill signal to emacs because it had stopped responding to keyboard and mouse input (though auto-save and everything still seemed to be humming along in the window - it wasn't frozen).

Comment 3 Alex Lancaster 2010-10-25 21:06:15 UTC
Package: emacs-1:23.2-7.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I had emacs running, I then suspended to RAM. Computer returned from a suspend.  Crash happened shortly after.

Comment 4 Karel Klíč 2010-11-09 13:59:05 UTC
*** Bug 608325 has been marked as a duplicate of this bug. ***

Comment 5 Karel Klíč 2010-11-09 13:59:10 UTC
*** Bug 611590 has been marked as a duplicate of this bug. ***

Comment 6 Karel Klíč 2010-11-09 13:59:14 UTC
*** Bug 612104 has been marked as a duplicate of this bug. ***

Comment 7 Karel Klíč 2010-11-09 13:59:18 UTC
*** Bug 612417 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-11-09 13:59:23 UTC
*** Bug 615053 has been marked as a duplicate of this bug. ***

Comment 9 Karel Klíč 2010-11-09 13:59:27 UTC
*** Bug 616077 has been marked as a duplicate of this bug. ***

Comment 10 Karel Klíč 2010-11-09 13:59:32 UTC
*** Bug 618808 has been marked as a duplicate of this bug. ***

Comment 11 Karel Klíč 2010-11-09 13:59:37 UTC
*** Bug 620964 has been marked as a duplicate of this bug. ***

Comment 12 Karel Klíč 2010-11-09 13:59:42 UTC
*** Bug 620965 has been marked as a duplicate of this bug. ***

Comment 13 Karel Klíč 2010-11-09 13:59:47 UTC
*** Bug 629579 has been marked as a duplicate of this bug. ***

Comment 14 Karel Klíč 2010-11-09 13:59:51 UTC
*** Bug 635277 has been marked as a duplicate of this bug. ***

Comment 15 Karel Klíč 2010-11-09 13:59:56 UTC
*** Bug 640864 has been marked as a duplicate of this bug. ***

Comment 16 Marc-Andre Lureau 2010-11-18 12:12:55 UTC
Package: emacs-1:23.2-7.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start emacs from the terminal in graphical mode
2. Hit C-c in the terminal



Comment
-----
I have installed and configured emacs-starter-kit, gccsense, and autocomplete

Comment 17 Phil V 2010-11-18 22:58:43 UTC
Marc: you didn't specify whether you started emacs with

emacs

or

emacs &

In the first case it is expected that C-c would kill whatever is running in the 'foreground'.

Comment 18 Marc-Andre Lureau 2010-11-19 01:19:25 UTC
Phil: without &.  I understand it should 'kill' what is in the foreground. But that shouldn't make a crash, and a crash report.

Comment 19 Fedora End Of Life 2012-08-16 18:49:06 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.